# to be run at 12:00, starting a new night PV voltage recording etc.
if [ -a ${1}_m.txt ] 
then
   F=$1.txt
   FN=${F/.txt/}
   Y=`date "+%y" -d $FN`
   M=`date "+%m" -d $FN`
   DA=`date "+%-d" -d $FN`
   DO=$[$DA-1]
   FD=${FN}d.txt


    
BegR=`sed -rn '1{s/([-0-9Sep:.]+ ){7}([0-9.]+) .*/\2/p}' ${FN}_m.txt`
#echo $BegR
EndR=`sed -rn '${s/([-0-9Sep:.]+ ){7}([0-9.]+) .*/\2/p}' ${FN}_m.txt`
#echo $EndR
if [ $BegR != $EndR ] 
then 
 IncR=`calc -d "display(3); int(($EndR - $BegR)/3.48)" \
  | sed -n '${s/[[:blank:]]*/ /p}'`
# echo $IncR 
else 
 IncR=0 
fi


# works just for new .gnp since Aug 16, 2006
if [ -a ${F/\.txt/_mpw.gnp} ] 
then
 cp ${F/\.txt/_mpw.gnp} /tmp/night_ba_mpw.gnp
else
 sed "1{i\
  Beg=$BegR
  }" night_ba_mpw.gnp >/tmp/night_ba_mpw.gnp
fi

LC_TIME=C

DN=`date "+%A %Y-%m-%d" -d $FN`

sed -r "
/set out/{s/(night|[0-9]{6})_mpw\.png/night_lgmpw.png/} 
s/from a PV panel.*([\"'])$/ending at $DN noon\1/
s/'Sun at .* -18/'Sunset and Sun at -6, -12 and -18/ 
s/'nold'/'$FD' index 1/ 
s/'nnew'/'$FD' index 2/ 
s/'m.txt'/'$FD' index 3/ 
s/'s.txt'/'$FD' index 0/ 
s/'night.txt'/'$F'/ 
s/'apdata.txt'/'${FN}_m.txt'/ 
" \
 /tmp/night_ba_mpw.gnp >/tmp/night_lgmpw.gnp

if [ $IncR \> 6 ] 
then 
#echo "inserting 0.1 mm part"
sed -r "
/precipitation \/ 1 mm/{s|$|,\\\ \\
'${FN}_m.txt' using (3600*((\$1<12 ? 24 : 0) + \$1)+60*\$2+\$3):\\\ \\
 (0.1*(\$4-Beg)/3.48)\\\ \\
 '%*11[^\\\n]%lf%*1[:]%lf%*1[:]%lf%*lf%*lf%*lf%*lf%*lf%lf' \\\ \\
 title 'precipitation / 10 mm' with lines 10| } " \
 /tmp/night_lgmpw.gnp >/tmp/night_lg2.gnp
sed "s/[[:blank:]]$//" /tmp/night_lg2.gnp >/tmp/night_lgmpw.gnp

fi

gnuplot /tmp/night_lgmpw.gnp

mv night_lgmpw.png ${FN}_mpw.png



 fi
